Skip to main content
GET
/
spots
/
{spotId}
cURL
curl --request GET \
  --url https://api.grainfinance.co/v1/spots/{spotId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "8173b9a7-ee61-413e-b9e3-7c04b2a067c5",
  "organizationId": "8173b9a7-ee61-413e-b9e3-7c04b2a067c5",
  "fromCurrency": "MXN",
  "toCurrency": "USD",
  "toCurrencyAmount": 1560,
  "fromCurrencyAmount": 32161.8,
  "quote": 20.6165,
  "acceptedAtTs": 1659625088,
  "issuedAt": "2023-01-18",
  "completedAt": "2023-02-23"
}

Documentation Index

Fetch the complete documentation index at: https://docs.grainfinance.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication using the partner API keys from https://console.grainfinance.co/api-keys

Path Parameters

spotId
string
required

The id of the spot within the Grain platform.

Response

Spot Found

id
string<uuid>
required

The id of the spot within the Grain platform.

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
Example:

"8173b9a7-ee61-413e-b9e3-7c04b2a067c5"

organizationId
string<uuid>
required

The id of the organization that perform the spot within the Grain platform.

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
Example:

"8173b9a7-ee61-413e-b9e3-7c04b2a067c5"

fromCurrency
string
required

The currency in which the transaction should be paid at by your customer.

Example:

"MXN"

toCurrency
string
required

The currency in which the inventory item is listed at on your platform.

Example:

"USD"

toCurrencyAmount
number<double>
required

The amount to transfer in the toCurrency

Example:

1560

fromCurrencyAmount
number<double>
required

The amount to transfer in the fromCurrency

Example:

32161.8

quote
number<double>
required

The rate locked by this spot.

Example:

20.6165

acceptedAtTs
number<double>
required

The unix timestamp in which the spot offer was accepted (if it was).

Example:

1659625088

issuedAt
string<YYYY-MM-DD>
required

The date in which the spot was issued, denoted in YYYY-MM-DD format.

Pattern: \d{4}-\d{2}-\d{2}
Example:

"2023-01-18"

completedAt
string<YYYY-MM-DD>
required

The date in which the spot was completed, denoted in YYYY-MM-DD format.

Pattern: \d{4}-\d{2}-\d{2}
Example:

"2023-02-23"